/////////////////////////////////////////////////
// wwerr.h
//
// Copyright 1994, Scott Wood, CCP
//
// WoodWare Error definitions.  Used internally by
//   WoodWare run-time DLL.
//
/////////////////////////////////////////////////

#ifndef __PTERR_H
  #define __PTERR_H

  #ifndef __ERRHANDL_H
    #include <errhandl.hpp>
    #endif

  #define PTERR_REFPTR   1000
  #define PTERR_FIRST    1001
  #define PTERR_DELETE   1002
  #define PTERR_NOMEM    1003
  #define PTERR_BADCLASS 1004
  #define PTERR_ZERODIV  1005
  #define PTERR_STRINDEX 1006
  #define PTERR_GENERIC  1007

  extern void _PTFUNC PowerToolError (errLevelEnum, char *, int, int, ...);

#endif

