#ifndef __RPTABORT_H
  #define __RPTABORT_H

  #include <owl\owlpch.h>
  #include <owl\dialog.h>

  #ifndef __PTDEFS_H
    #include <ptdefs.h>
    #endif
  #ifndef __BOOLEAN_H
    #include <boolean.h>
    #endif

  class _PTCLASS DlgReportAbort : public TDialog
    {
      public:

        DlgReportAbort (TWindow* parent, const char far *title,
            const char far *device, const char far *port);
       ~DlgReportAbort (void) {};

        void ShowTitle (const string _FAR & title);
        void ShowActivity (const string _FAR & activity);
        void ShowPageNumber (int pageNo);

        boolean IsAbort (void);

      protected:

        void SetupWindow (void);
        virtual LRESULT EvCommand (UINT id, HWND hWndCtl, UINT notifyCode);

      private:

        boolean pAbort;

    };

  inline boolean DlgReportAbort::IsAbort (void)
    {
      return pAbort;
    };

#endif

