#include <stdio.h>
#include <stext.h>

StaticText::StaticText (TWindow *parent, int resId, const char far *text, TModule *module)
    : TStatic (parent, resId, 0, module)
  {
    pText = text;
  };

void StaticText::SetupWindow ()
  {
    TStatic::SetupWindow ();

    char fmt[80];
    GetText (fmt, sizeof(fmt) - 1);

    for (int i=0; fmt[i]; i++)
      if (fmt[i] == '%')
        {
          char buf[80];
          wsprintf (buf, fmt, pText.c_str ());
          pText = buf;
          break;
        };

    SetText (pText.c_str ());
  };

